{
  memberIds,
}:
{
  config,
  lib,
  pkgs,
  ...
}:
{
  systemd.services.zerotier-accept-external = {
    wantedBy = [ "multi-user.target" ];
    after = [ "zerotierone.service" ];
    path = [ config.clan.core.clanPkgs.zerotierone ];
    serviceConfig.ExecStart = pkgs.writeShellScript "zerotier-inventory-autoaccept" ''
      ${lib.concatMapStringsSep "\n" (zerotier-id: ''
        ${config.clan.core.clanPkgs.zerotier-members}/bin/zerotier-members allow ${zerotier-id}
      '') memberIds}
    '';
  };
}
